%define oname   sqlite3

Name:       ruby-%{oname}
Version:    1.3.6
Release:    %mkrel 3
Summary:    Allows Ruby programs to interface with the SQLite3 database engine
Group:      Development/Ruby
License:    BSD-like
URL:        http://github.com/luislavena/sqlite3-ruby
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: sqlite3-devel
# Add provides for dbd-sqlite3
Provides:   rubygem(sqlite3-ruby) = %{version}-%{release}

%description
This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.
Note that this module is NOT compatible with SQLite 2.x.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/API_CHANGES.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/backup.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/database.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/exception.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/sqlite3.c
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ext/sqlite3/statement.c
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.3.6-3.mga3
+ Revision: 396514
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 381513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.3.6-1.mga3
+ Revision: 312472
- new version 1.3.6

* Wed Feb 09 2011 shikamaru <shikamaru> 1.3.3-2.mga1
+ Revision: 49400
- add provides to please dbd-sqlite3

* Fri Jan 28 2011 shikamaru <shikamaru> 1.3.3-1.mga1
+ Revision: 43040
- imported package ruby-sqlite3

